@echo off

echo Make sure that you have installed Python 3.10.11, Git, C++ tools, FFmpeg
echo Full tutorial to install these : https://youtu.be/-NjNy7afOQ0

pip install requests

git clone https://github.com/comfyanonymous/ComfyUI

REM edit below line to install any specific commit 
REM git checkout 41b07ff8d7807292b56147e12347ab96972c9406

cd ComfyUI

cd custom_nodes

git clone https://github.com/ltdrdata/ComfyUI-Manager

git clone https://github.com/cubiq/ComfyUI_IPAdapter_plus

cd ..

py --version >nul 2>&1
if "%ERRORLEVEL%" == "0" (
    echo Python launcher is available. Generating Python 3.10 VENV
    py -3.10 -m venv venv
) else (
    echo Python launcher is not available, generating VENV with default Python. Make sure that it is 3.10
    python -m venv venv
)

call .\venv\Scripts\activate.bat

echo installing requirements 

pip install requests

pip install torch==2.3.0 torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cu121

pip install -r requirements.txt

pip install insightface

pip install onnxruntime-gpu

cd ..

python Download_Models.py

REM Show completion message
echo Virtual environment made and installed properly

REM Pause to keep the command prompt open
pause